# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-people.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          moblin-panel-people
Version:       0.1.14
Release:       1%{?dist}.1
Summary:       Moblin Panel for People

Group:         User Interface/Desktops
License:       LGPLv2+
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: anerley-devel
BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: libmx-devel
BuildRequires: mutter-moblin-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

%description
The Moblin mutter panel for managing and contacting people.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/moblin-panel-people
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.people.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.MoblinPanelPeople.service
%{_datadir}/mutter-moblin/panels/moblin-panel-people.desktop
%{_datadir}/telepathy/clients/MoblinPanelPeople.client
%{_datadir}/%{name}

%changelog
* Tue Oct 05 2010 jkeating - 0.1.14-1.1
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.14-1
- New upstream 0.1.14 release

* Tue Jul 20 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.13-3
- Bump build for new evolution

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.13-2
- Rebuild against new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.13-1
- New upstream 0.1.13 release

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-6
- Bump build for new evolution

* Wed May  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-5
- Bump build

* Sun Apr 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-4
- Bump build

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-3
- Rebuild again 

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-2
- Rebuild 

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.10-1
- New upstream 0.0.10 release, update licence to changed upstream license

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.8-1
- New upstream 0.0.8 release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Mon Oct 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Wed Sep 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- New upstream 0.0.3 release, drop upstreamed MC5 patches

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-4
- Add telepathy-glib dependency

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-3
- Add patch for nbtk-1.2 api

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.0.1-2
- Add patch to port to new Mission Control

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
